<?php

namespace App\Http\Controllers;

use App\Http\Requests\BeforeAfterPhotoRequest;
use App\Http\Requests\ImageRequest;
use App\Models\Image;
use App\Models\Project;
use App\Models\Report;
use App\Models\User;
use App\Services\ImageService;
use App\Traits\ApiResponser;
use App\Traits\Helper;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class ImageController extends Controller
{
    use ApiResponser,Helper;

    public $request;
    public $imageController;

    public function __construct()
    {

    }

    public function upload($image)
    {
        $imageName = time() . Str::random(20) . '.' . $image->extension();
         Storage::putFileAs("public/images", $image, $imageName);

        //$image->storeAs("$type/images", $imageName);
        return $imageName;
    }

    public function move($imageName)
    {
        Storage::move("temp/images/" . $imageName, "public/images/" . $imageName);
        return 1;
    }
    public function checkImageForProject($image){
        foreach ( $image as $keys => $images) {
            $image =   Storage::exists( '/temp/images/'.$images['name']);
            if (!$image)
                return $this->onFaile('photo not found' );
        }
    }
    public function showUserImage($id)
    {
        $imageName = User::select('image')->where('id', $id)->get();
        $imagePath = '/public/images' . $imageName;
        $url = Storage::url($imageName);
        dd($url);
    }

    /*public function remove()
    {

    }*/

    public function uploadTemp(Request $request, ImageRequest $imageRequest)
    {
//        return response()->json(['true']);
//        return 1;
        $imageName = time() . Str::random(20) . '.' . $request->image->extension();
        //Storage::putFileAs("/images", $request->image, $imageName);
        $request->image->storeAs("temp/images", $imageName);
        return $this->successResponseWithoutMessage(true,$imageName);
    }

    public function insertKeywordImage($images, $keyword)
    {
        $keywordController = new KeywordController();
        $keywords = $keywordController->findOrCreate($keyword);
        $keywordId = $keywords->toArray()['id'];
        return $keywordId;
    }

    public function insertProjectImage($image, $project)
    {
        return DB::table('image_project')->insert([
            'image_id' => $image,
            'project_id' => $project
        ]);
    }

    public function insertImage($imageName, $type, $id, $clientType, $clientId, $link = null)
    {
        return Image::create([
            'name' => $imageName,
            'website_link' => $link,
            'imageable_id' => $id,
            'imageable_type' => $type,
            'client_type' => $clientType,
            'client_id' => $clientId
        ]);
    }


    public function beforeAfterImage(ImageService $imageService, BeforeAfterPhotoRequest $photoRequest)
    {
//        return 1;
        $imageCombine = $imageService->combineImagesWithPackage($photoRequest->validated()['first_image'], $photoRequest->validated()['second_image']);
        if ($imageCombine == 0){
            return $this->successResponse(true, $imageCombine, 'combine Successfully');
        }else{
            return $this->failedResponse( 'Combination failed');

        }
//        $link = Storage::url('/temp/images/' . $imageCombine);
    }

    public function findByProject($id)
    {
        $project = Project::find($id);
        if ($project == null )
            return $this->successResponse(false, null, 'not found');
        $list = $project->images;
        return successResponse(true, $list,'send successfully');
    }

    public function findByReport($id)
    {
        $report = Report::find($id);
        if ($report == null )
            return $this->successResponse(false, null, 'not found');
        $list = $report->images;
        return successResponse(true, $list,'send successful');
    }
    public function uploadPhoto(Request $request){
        return $this->onSuccess($this->photo($request->image));
    }


}
