<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateAdminCommentsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'text' => [ 'string', 'min:3', 'max:2000'],
            'rate' => ['nullable', 'numeric', 'between:1,5'],
            'to' => ['nullable', 'string', 'min:3', 'max:200'],
            'profile_id' => [ 'numeric'],
            'profile_type' => [ 'in:user,company,project'],
            'parent_id' => ['nullable', 'numeric'],
            'status' => ['nullable', 'in:confirmed,reject,pending']
        ];
    }
}
