<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class EstimationMail extends Mailable
{
    use Queueable, SerializesModels;

    public $email;
    public $data;
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($email, $data)
    {
        $this->email = $email;
        $this->data = $data;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $email = $this->markdown('mail.ExternalEstimation')->with('data', $this->data);

        // $attachments is an array with file paths of attachments
        if (isset($this->data['images']))
        foreach ($this->data['images'] as $image) {
            $email->attach($image);
        }

        return $email;
    }
}
