<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class Claim extends Model
{
    use HasFactory;

    protected $guarded = ['id'];

    public function projects()
    {
        return $this->belongsTo(Project::class);
    }
//    public function client()
//    {
//        return $this->morphMany(,'client_type','client_id');
//    }
//    public function client()
//    {
//        return $this->morphTo();
//    }
    public function client()
    {
        return $this->morphTo('client','client_type','client_id');
    }
    public function profile()
    {
        return $this->morphTo('profile','profile_type','profile_id');
    }



    public function getImageAttribute($value)
    {
        return $value != null ? Storage::disk('public')->url('images/' . $value) : $value;
    }

}
