<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class JobTitle extends Model
{
    use HasFactory;

    protected $table = 'job_titles';
    protected $fillable = [
        'title','photo'
    ];

    public function users()
    {
        return $this->hasMany(User::class, 'job_title_id');
    }

    public function companies()
    {
        return $this->hasMany(Company::class, 'job_title_id');
    }

    public function jobs()
    {
        return $this->hasMany(Job::class, 'job_title_id');
    }
    public function getPhotoAttribute($value)
    {
        return $value !== null ? Storage::disk('public')->url($value) :  null ;
    }
}
