<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Report extends Model
{
    use \Staudenmeir\EloquentEagerLimit\HasEagerLimit;
    use HasFactory;

    protected $table = 'reports';
    protected $guarded = [
        'id'
    ];
    protected $appends=['ShareUrl'];

    public function getShareUrlAttribute()
    {
        return env('APP_URL')."/report-details/{$this->id}";
    }

    public function images(){
        return $this->morphMany(Image::class, 'imageable');
    }

    public function fourImages()
    {
        return $this->morphMany(Image::class, 'imageable');
    }

    public function reportable()
    {
        return $this->morphTo();
    }
}
