<?php

namespace App\Repositories\Admin\Structure;

use App\Models\Admin\Structure\FAQ;
use JasonGuru\LaravelMakeRepository\Repository\BaseRepository;

//use Your Model

/**
 * Class FAQRepository.
 */
class FAQRepository extends BaseRepository
{
    /**
     * @return string
     *  Return the model
     */
    public function model()
    {
        return FAQ::class;
    }

    public function createFAQ($question, $answer)
    {
        return FAQ::create([
            'question' => $question,
            'answer' => $answer
        ]);
    }

    public function updateFAQ($id, $question, $answer)
    {
        $faq=FAQ::where('id', $id)->first();
//        return $faq;
        if ($faq)
          $faq->update([
            'question' => $question,
            'answer' => $answer
        ]);
         return $faq;
    }

    public function deleteFAQ($id)
    {
        return FAQ::where('id', $id)->delete();
    }

    public function showFAQ()
    {
        return FAQ::all();
    }


}
