<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->foreignId('job_title_id')->nullable()->constrained('job_titles');
            $table->string('email')->unique();
            $table->string('password');
            $table->string('name')->nullable();
            $table->string('last_name')->nullable();
            $table->string('phone_number')->nullable();
            $table->text('image')->nullable();
            $table->text('about_us')->nullable();
            $table->string('work_experience')->nullable();
            $table->string('familiar_method')->nullable();
            $table->integer('referral_code')->unique();
            //$table->integer('total_invitation')->default(0);
            //$table->integer('project_from_invitation')->default(0);
            //$table->integer('inviter_code')->nullable();
            $table->string('status')->default('pending');
            $table->timestamp('email_verified_at')->nullable();
            $table->rememberToken();
            $table->timestamps();
        });

        /*Schema::table('users',function (Blueprint $table){
           $table->foreignId('identifier_user_id')->after('id')->nullable()->constrained('users');
        });*/

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
