<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTagsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tags', function (Blueprint $table) {
            $table->id();
            $table->foreignId('group_id')->constrained('chatable_groups');
            $table->unsignedBigInteger('client_id'); //who tag s.b
            $table->string('client_type');
            $table->unsignedBigInteger('taggable_id');  //who tagged
            $table->string('taggable_type');
            $table->text('phone_number');
            $table->text('address');
            $table->text('email');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tags');
    }
}
